Home » Tips&Tricks » Problemi Installazione Menalto Gallery 2.2.6

Problemi Installazione Menalto Gallery 2.2.6

Spesso per lavor capita di ricevere richieste di assistenza riguardanti lo script di Galleria di Immagini realizzato da Menalto denominato Gallery.

Tale applicativo giunto alla recente versione 2.2.6 scaricabile qui risulta generare un errore presso alcuni Hosting Provider come, per esempio, Aruba nello step 2 dell’installazione quando viene effettuata il check dei requisiti di Sistema.

Solitamente l’errore è un “500 Internal Server Error” causato dal superamento del tempo di Timeout impostato in Apache. Nel file “error_log” questo è l’errore che si riscontra:

[Mon Sep 22 14:18:54 2008] [error] [client xxx.xxx.xxx.xxx] ModSecurity: Output filter: Failed to read bucket (rc 70007): The timeout specified has expired [hostname “<nome_host>”] [uri “<gallery_folder>/install/index.php?step=2”] [unique_id “M2dscH8FFFEDDDryFQ3AAAC5”]

La soluzione migliore sarebbe quella di far variare i limiti di Timeout al proprio Provider ma, visto che è una di quelle richieste che difficilmente vengono esaudite, ho provveduto ad editarmi i file di installazione in modo che indipendentemente da quello che il Server ha o non ha mi dia l’ok per proseguire allo step successivo.

Il file da scaricare per la versione Gallery 2.2.6 è questo: SystemChecksSteps.

A suo tempo li feci anche per la versione Gallery 2.2.5. Eccoli qui:

SystemCheksStep – INSTALLATION 2.2.5

SystemCheksStep – UPGRADE 2.2.5

Va sostituito al posto dell’originale.

Per la versione Installation:

<cartella di gallery>/install/steps/SystemChecksSteps.class

Per la versione Upgrade (solo 2.2.5):

<cartella di gallery>/upgrade/steps/SystemChecksSteps.class

Una volta sostituito si può effettuare la normale installazione (o upgrade) senza problemi.

Tengo a precisare che, come già detto prima, tale file non risolve il problema ma, semplicemente, lo bypassa evitando di far eseguire qualsiasi check. Questo significa che se il Vostro Server non possiede i requisiti necessari per l’utilizzo di Gallery i problemi legati a tale incompatibilità persistono.

Ti è stato utile? Votalo!
[Voti: 0    Media Voto: 0/5]
Altro... Aruba, Gallery, Menalto, php
Chiudi